#pragma once

#include "MJInputSource.h"
#include "vorbisfile.h"

class CMJOGGInputSource : public CMJInputSource
{
public:
	CMJOGGInputSource();
	~CMJOGGInputSource();

	int Open(LPCTSTR pFilename);
	int AddDataToBuffer();

	int GetInformation(MJ_INPUT_SOURCE_INFO_FIELDS nInfoID, LPTSTR pResult);
	int SetInformation(MJ_INPUT_SOURCE_INFO_FIELDS nInfoID, LPCTSTR pValue);
	int DoCommand(MJ_INPUT_SOURCE_COMMANDS nCommandID, int nParam1 = 0, int nParam2 = 0);
	
private:

	int m_nCurrentSection;
	OggVorbis_File * m_pOggInputFile;
};
